<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_PacketConditionInSARule" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_PacketConditionInSARule">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="GroupComponent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Aggregate" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">GroupComponent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">An SARule subclass of PolicyRule.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">IPSP Policy Model.IETF|SAConditionInRule.GroupComponent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_PacketConditionInSARule"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="PartComponent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">PartComponent</cim:Qualifier>
<cim:Qualifier name="Min" type="cim:cimUnsignedInt">1</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">An SACondition that is required for the SARule.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">IPSP Policy Model.IETF|SAConditionInRule.PartComponent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_PacketConditionInSARule"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="GroupNumber" nillable="true" type="cim:cimUnsignedShort">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">Unsigned integer indicating the group to which the contained PolicyCondition belongs. This integer segments the Conditions into the ANDed sets (when the ConditionListType is "DNF") or, similarly, into the ORed sets (when the ConditionListType is "CNF").</cim:Qualifier>
<cim:Classorigin name="CIM_PolicyConditionStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="ConditionNegated" nillable="true" type="cim:cimBoolean">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">Indication of whether the contained PolicyCondition is negated. TRUE indicates that the PolicyCondition IS negated, FALSE indicates that it IS NOT negated.</cim:Qualifier>
<cim:Classorigin name="CIM_PolicyConditionStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_PacketConditionInSARule" type="class:CIM_PacketConditionInSARule_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_PacketConditionInSARule" superclass="CIM_PolicyConditionInPolicyRule"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Aggregation" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.8.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::IPsecPolicy</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">PacketConditionInSARule aggregates an SARule with at least one instance of PacketFilterCondition. This is a specialization of the PolicyConditionInPolicyRule association.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">IPSP Policy Model.IETF|SAConditionInRule</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_PacketConditionInSARule_Type">
<xs:sequence>
<xs:element minOccurs="0" ref="class:ConditionNegated"/>
<xs:element ref="class:GroupComponent"/>
<xs:element minOccurs="0" ref="class:GroupNumber"/>
<xs:element ref="class:PartComponent"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
